{% extends 'company_location_management/looking_for_property_request/looking_for_property_request.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% set lookingForPropertyRequestOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'lookingForPropertyRequestOverview') %}
        {% if lookingForPropertyRequestOverviewLastVisitedPage != null %}
            {% set lookingForPropertyRequestOverviewPagePath = path(lookingForPropertyRequestOverviewLastVisitedPage.getRouteName(), lookingForPropertyRequestOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set lookingForPropertyRequestOverviewPagePath = path('company_location_management_looking_for_property_request_overview')  %}
        {% endif %}
        <a href="{{ lookingForPropertyRequestOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Ansiedlungsgesuch bearbeiten</span>
        {% if is_granted('edit', lookingForPropertyRequest) == true %}
            {{ form_widget(lookingForPropertyRequestForm.save, {'label': 'GESUCH SPEICHERN', 'id': lookingForPropertyRequestForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center me-2'}}) }}
        {% endif %}

        {% set contextMenuListItems = [] %}

        {% if is_granted('assignToAccountUser', lookingForPropertyRequest) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'Sachbearbeiter:in zuweisen',
                    'url': path('company_location_management_looking_for_property_request_assign_to_account_user', {'id': lookingForPropertyRequest.getId()}),
                    'icon': 'assignment_ind'
                },
            ]) %}
        {% endif %}

        {% if is_granted('edit', lookingForPropertyRequest) == true %}
            {% if lookingForPropertyRequest.isArchived() == false %}
                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'Ansiedlungsgesuch archivieren',
                        'url': path('company_location_management_looking_for_property_request_archive', {'id': lookingForPropertyRequest.getId()}),
                        'icon': 'archive'
                    },
                ]) %}
            {% else %}
                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'Aus dem Archiv holen',
                        'url': path('company_location_management_looking_for_property_request_unarchive', {'id': lookingForPropertyRequest.getId()}),
                        'icon': 'unarchive'
                    },
                ]) %}
            {% endif %}
        {% endif %}

        {% if is_granted('delete', lookingForPropertyRequest) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'Ansiedlungsgesuch löschen',
                    'url': path('company_location_management_looking_for_property_request_delete', {'id': lookingForPropertyRequest.getId()}),
                    'icon': 'delete_forever'
                },
            ]) %}
        {% endif %}

        {% if contextMenuListItems is not empty %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'looking_for_property_request','listItems': contextMenuListItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg my-4">
        <div class="mdc-card mb-4 p-4">
            {% if is_granted('edit', lookingForPropertyRequest) == true %}
                {{ form_start(lookingForPropertyRequestForm, {'attr': {'id': lookingForPropertyRequestForm.vars.id ~ '_form', 'autocomplete': 'off' }}) }}
            {% endif %}
            {% include 'company_location_management/form/looking_for_property_request/looking_for_property_request_form.html.twig' with {'form': lookingForPropertyRequestForm} only %}
            {% if is_granted('edit', lookingForPropertyRequest) == true %}
                {{ form_row(lookingForPropertyRequestForm._token) }}
                {{ form_end(lookingForPropertyRequestForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
